Bug 1284078 - InvalidProtocolBufferException: Protocol message contained an invalid tag (zero).
InvalidProtocolBufferException: Protocol message contained an invalid tag (ze...
Status: ASSIGNED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan (Show other bugs)
6.5.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adrian Nistor
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-20 12:55 EST by Van Halbert
Modified: 2015-11-25 07:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 5 Van Halbert 2015-11-24 18:12:11 EST
Comment on email thread:


Digging a little bit more into my code, I noticed (casually) that setting
my custom marshallers one before the other, the error disappear and
everything works fine.
It seems like I have to register my marshallers in the same order they are
specified into the property “MessageMarshallers" of the
"resource-adapter/connection-defitions/connection-definition” definition
in standalone.xml.
I don’t think this is the expected behaviour!

Note You need to log in before you can comment on or make changes to this bug.